package	jp.co.sds_corp.hibiya.adapter;

import java.util.Map;

import jp.co.sds_corp.hibiya.connector.IConnectionChanger;
import jp.co.sds_corp.hibiya.server.IChecker;
import jp.co.sds_corp.hibiya.server.ICheckerChanger;
import jp.co.sds_corp.hibiya.server.ICheckerListener;
import jp.co.sds_corp.util.daemon.IService;

/**
* {@link IChecker}の情報を取得するアダプタのためのインターフェースです。
*/
public interface IAdapter extends IService,
						ICheckerListener, ICheckerChanger, IConnectionChanger
{
	/**
	* AdapterにICheckerを追加します。
	* @param	chk		追加するモニタ
	*/
	public void addChecker( IChecker chk );

	/**
	* AdapterからICheckerを削除します。
	* @param	chk		削除するモニタ
	*/
	public void removeChecker( IChecker chk );

	/**
	* 登録されているモニタの一覧を返します。
	*/
	public Map<String,IChecker> getCheckerMap();

	/**
	* 開始フラグを設定します。
	* @param	var		設定するデータ
	*/
	public void setStarted( boolean var );
	/**
	* 開始フラグを取得します。
	* @return	開始フラグ
	*/
	public boolean isStarted();

}

